Bug 69780 - weston-calibrator always pops up on primary display in multi-head setup
Summary: weston-calibrator always pops up on primary display in multi-head setup
Status: VERIFIED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-24 23:15 UTC by Brian Lovin
Modified: 2014-09-09 21:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Lovin 2013-09-24 23:15:24 UTC
Software Stack:
Fedora 19
3.10.10-200.fc19.x86_64
wayland (HEAD) 1.2.91-0-g4125367
drm (HEAD) libdrm-2.4.46-0-gc6d73cf
mesa (9.2) heads/9.2-0-g2cda3f0
libva (HEAD) libva-1.2.1-0-g88ed1eb
intel-driver (HEAD) 1.2.0-0-g6898ab7
weston (HEAD) 1.2.91-0-g7799385

When launching weston-calibrator on a dual head machine (one head a regular monitor, one a touch screen), it's possible for weston-calibrator to only be displayed on the non-touch screen (if the non-touch screen is the primary display). This makes calibration impossible.
Comment 2 Pekka Paalanen 2014-09-05 09:16:42 UTC
Should be fixed by:

commit 052917aa2aa4f4e1a82d5316911a162c37af7bdc
Author: Marek Chalupa <mchqwerty@gmail.com>
Date:   Tue Sep 2 11:35:12 2014 +0200

    xdg-shell: handle clients launched in fullscreen

This is just heuristics that should work well enough for this kind of simple use cases, but we still need another proper solution for the wider problem as discussed in "Thoughts on getting surfaces to appear on the right output":
http://lists.freedesktop.org/archives/wayland-devel/2014-May/thread.html#14568
But that would be a different issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.